Package com.documentum.fc.client.search

# Interface IDfQueryStatus

public interface IDfQueryStatus
Represents the status of a search execution at a given point in time. It contains the status of each source and a global status for the query.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COULDNOTFETCH`
  When in FAILED state, indicates that the query could not be sent to the server because of an IO error.
  `static final int`
  `DEFAULT`
  Default value for status information.
  `static final int`
  `DONE`
  Query completed, all sources replied successfully (no more processing is happening on the server).
  `static final int`
  `EXPIRED`
  When in FAILED state, indicates that the wrapper execution took too much time and was stopped.
  `static final int`
  `EXT_SOURCE_UNAVAILABLE`
  When in FAILED state, indicates that the connection with the external source server was broken and the query could not complete properly.
  `static final int`
  `FACET_DEFINITION_ERROR`
  There is a problem with one or several facet definitions defined in the query.
  `static final int`
  `FAILED`
  Unable to compute query (no server or no source available).
  `static final int`
  `FULLTEXT_ISSUE`
  There was an error with the full-text search.
  `static final int`
  `INTERNALFAILURE`
  When in FAILED state, indicates that an internal error occurred, possibly due to an uncaught exception or an unavailable adapter (default value, nothing special to report to the end-user).
  `static final int`
  `LOGINFAILED`
  When in FAILED state, indicates that the query could not be processed by a wrapper because of an authentication failure (wrong password).
  `static final int`
  `NONE`
  Query has not been started yet.
  `static final int`
  `NOTCONSTRAINED`
  When in FAILED state, indicates that the query was not processed by the adapter because there is no queriable attribute defined in the query or the query is not supported by the source.
  `static final int`
  `OVERLOADED`
  The remote source is not available right now, try later.
  `static final int`
  `QUERY_SCOPE_UNREACHABLE`
  When in FAILED state, indicates that at least one query scope is unreachable (either not found or no access permission), and the query returned 0 result.
  `static final int`
  `QUERY_SYNTAX_NOT_VALID`
  The syntax used to express the query is not valid.
  `static final int`
  `RECEIVING`
  New results are being transmitted by the server (at least one source replied positively).
  `static final int`
  `STOPPED`
  Query has been stopped.
  `static final int`
  `TOOMANYRESULTS`
  The query would return too many results, try to be more specific.
  `static final int`
  `TRUNCATED`
  When DONE, indicates that the results have been truncated.
  `static final int`
  `TYPE_NOT_SUPPORTED`
  When in FAILED state, indicates that the source does not support the query object type.
  `static final int`
  `UNAVAILABLE`
  When in FAILED state, indicates that the source is not available.
  `static final int`
  `UNREACHABLE`
  When in FAILED state, indicates that the query could not be processed because it failed too many times to connect to the source (network problem).
  `static final int`
  `UNSUPPORTED_ATTRIBUTE_ERROR`
  An attribute is not correct or not supported by the source.
  `static final int`
  `WAITING`
  In progress, query has been sent to the server (no response received yet).
  `static final int`
  `WASSTOPPED`
  When in FAILED state, indicates that the query was stopped by the user and did not answer fast enough to be successful.
  `static final int`
  `WILDCARD_SYNTAX_ERROR`
  The syntax used to express a wildcard search is not correct or not supported.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHistory()`
  Returns a debug String containing the history of events that occurred during query execution.
  `int`
  `getNbrFailed()`
  Gets the number of failed sources.
  `int`
  `getNbrSuccess()`
  Gets the number of successful sources.
  `IDfEnumeration`
  `getSources()`
  Returns the list of sources in this status.
  `IDfSourceStatus`
  `getSourceStatus(String sourceName)`
  Returns the status of the query for a specific source.
  `int`
  `getStatus()`
  Gets the status of the query.

- ## Field Details

  - ### NONE

    static final int NONE
    Query has not been started yet.
    See Also:
      - Constant Field Values

  - ### WAITING

    static final int WAITING
    In progress, query has been sent to the server (no response received yet).
    See Also:
      - Constant Field Values

  - ### RECEIVING

    static final int RECEIVING
    New results are being transmitted by the server (at least one source replied positively).
    See Also:
      - Constant Field Values

  - ### DONE

    static final int DONE
    Query completed, all sources replied successfully (no more processing is happening on the server).
    See Also:
      - Constant Field Values

  - ### FAILED

    static final int FAILED
    Unable to compute query (no server or no source available).
    See Also:
      - Constant Field Values

  - ### STOPPED

    static final int STOPPED
    Query has been stopped.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Default value for status information.
    See Also:
      - Constant Field Values

  - ### TRUNCATED

    static final int TRUNCATED
    When DONE, indicates that the results have been truncated.
    See Also:
      - Constant Field Values

  - ### INTERNALFAILURE

    static final int INTERNALFAILURE
    When in FAILED state, indicates that an internal error occurred, possibly due to an uncaught exception or an unavailable adapter (default value, nothing special to report to the end-user).
    See Also:
      - Constant Field Values

  - ### NOTCONSTRAINED

    static final int NOTCONSTRAINED
    When in FAILED state, indicates that the query was not processed by the adapter because there is no queriable attribute defined in the query or the query is not supported by the source.
    See Also:
      - Constant Field Values

  - ### UNREACHABLE

    static final int UNREACHABLE
    When in FAILED state, indicates that the query could not be processed because it failed too many times to connect to the source (network problem).
    See Also:
      - Constant Field Values

  - ### LOGINFAILED

    static final int LOGINFAILED
    When in FAILED state, indicates that the query could not be processed by a wrapper because of an authentication failure (wrong password).
    See Also:
      - Constant Field Values

  - ### COULDNOTFETCH

    static final int COULDNOTFETCH
    When in FAILED state, indicates that the query could not be sent to the server because of an IO error.
    See Also:
      - Constant Field Values

  - ### EXT_SOURCE_UNAVAILABLE

    static final int EXT_SOURCE_UNAVAILABLE
    When in FAILED state, indicates that the connection with the external source server was broken and the query could not complete properly.
    See Also:
      - Constant Field Values

  - ### UNAVAILABLE

    static final int UNAVAILABLE
    When in FAILED state, indicates that the source is not available. It may be temporary down or mispelled.
    See Also:
      - Constant Field Values

  - ### QUERY_SCOPE_UNREACHABLE

    static final int QUERY_SCOPE_UNREACHABLE
    When in FAILED state, indicates that at least one query scope is unreachable (either not found or no access permission), and the query returned 0 result.
    See Also:
      - Constant Field Values

  - ### WASSTOPPED

    static final int WASSTOPPED
    When in FAILED state, indicates that the query was stopped by the user and did not answer fast enough to be successful.
    See Also:
      - Constant Field Values

  - ### EXPIRED

    static final int EXPIRED
    When in FAILED state, indicates that the wrapper execution took too much time and was stopped.
    See Also:
      - Constant Field Values

  - ### TYPE_NOT_SUPPORTED

    static final int TYPE_NOT_SUPPORTED
    When in FAILED state, indicates that the source does not support the query object type.
    See Also:
      - Constant Field Values

  - ### OVERLOADED

    static final int OVERLOADED
    The remote source is not available right now, try later.
    See Also:
      - Constant Field Values

  - ### TOOMANYRESULTS

    static final int TOOMANYRESULTS
    The query would return too many results, try to be more specific.
    See Also:
      - Constant Field Values

  - ### FULLTEXT_ISSUE

    static final int FULLTEXT_ISSUE
    There was an error with the full-text search.
    See Also:
      - Constant Field Values

  - ### QUERY_SYNTAX_NOT_VALID

    static final int QUERY_SYNTAX_NOT_VALID
    The syntax used to express the query is not valid.
    See Also:
      - Constant Field Values

  - ### WILDCARD_SYNTAX_ERROR

    static final int WILDCARD_SYNTAX_ERROR
    The syntax used to express a wildcard search is not correct or not supported.
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_ATTRIBUTE_ERROR

    static final int UNSUPPORTED_ATTRIBUTE_ERROR
    An attribute is not correct or not supported by the source.
    See Also:
      - Constant Field Values

  - ### FACET_DEFINITION_ERROR

    static final int FACET_DEFINITION_ERROR
    There is a problem with one or several facet definitions defined in the query.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getNbrSuccess

    int getNbrSuccess()
    Gets the number of successful sources.
    Returns:
      An integer that counts the positive responses received so far.

  - ### getNbrFailed

    int getNbrFailed()
    Gets the number of failed sources.
    Returns:
      An integer that counts the negative responses received so far.

  - ### getStatus

    int getStatus()
    Gets the status of the query.
    Returns:
      An integer containing the code of the status (QueryControl.DONE to QueryControl.STOPPED).

  - ### getHistory

    String getHistory()
    Returns a debug String containing the history of events that occurred during query execution.
    Returns:
      A String representing the history of events as a string.

  - ### getSourceStatus

    IDfSourceStatus getSourceStatus(String sourceName)
    Returns the status of the query for a specific source.
    Parameters:
      `sourceName` - The internal name (non localized) of the source.
    Returns:
      A String representing the status for the source.

  - ### getSources

    IDfEnumeration getSources()
    Returns the list of sources in this status.
    Returns:
      An IDfEnumeration of String (source internal name).